BANK MEGA SYARIAH ES Bugs - Feature #3165

[CR]report all employee
10/24/2024 04:14 PM - Muhammad Bintar

Status: QA Test Start date: 10/24/2024
Priority: Urgent Due date: 10/28/2024
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 5.00 hours
Description

dear tim developer mohon support nya untuk penambahan kolom untuk report all employee.

remote.minovais.com:31134
database
remote.minovais.com, 1442
BankMegaSyariahDev

History

#1 - 10/24/2024 08:10 PM - Kezia Pawitra Yulianti

- Assignee changed from shofwan shiddiq to Muhammad Bintar

bintar, ini tunggu dl donk kesepakatan sph nya.
Khan kita baru kirim sphnya dan belum ada konfirmasi dr user.

Untuk nextnya kalau ada permintaan yg memang adalah CR, jangan Igs d bikin redminenya dl ya
Tks

#2 - 11/26/2024 05:24 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

- Assignee changed from Muhammad Bintar to shofwan shiddiq

- Priority changed from Normal to Urgent

#3 - 11/26/2024 06:38 PM - shofwan shiddiq

- Assignee changed from shofwan shiddiq to Muhammad Bintar

#4 - 12/10/2024 11:37 AM - Muhammad Bintar
- File clipboard-202412101137-zhddk.jpg added

- Assignee changed from Muhammad Bintar to shofwan shiddiq

shofwan,
ini contoh employee 00011127.

nanti isian kolom nya seperti ini pada report all employee
#5 - 12/10/2024 02:10 PM - shofwan shiddiq
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Muhammad Bintar

1. ini kemaren kan rancangannya,tambahan group dan deputy, nah berarti diganti apa gimana? kalo di foto ada tambahan unit ? terus group nya jadi

apa engga ya?

2. untuk eksisting kan udah ada division, yang org group nya 02. skrg saya cek di master data ada lagi division di org level 14. ini mau 2 2 nya

ditampilin, di ganti apa gmn ya?

#6 - 12/11/2024 10:50 AM - Muhammad Bintar
- File clipboard-202412111050-uamla.jpg added
- Status changed from QA Test to Assigned

- Assignee changed from Muhammad Bintar to shofwan shiddiq

iya betul unit itu yang orgl Ivl kode 17 (3.1).
dan juga report nya ada yang kosong
#7 - 12/11/2024 01:44 PM - shofwan shiddiq

- File clipboard-202412111342-bkzz4.png added
- File clipboard-202412111343-pfiy5.png added
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Muhammad Bintar
Report Parameter a
Company ID: Payroll Group:

PT Bank Mega Syaria

Employee Area: Period.

B My Workplace 1/12/2024

B Business Intelligence Employee Status:

Employee Type:

B Organization Management [@ View Report |

Report Result a
Employee Movement

Employee Master Data 4 4 [t Jor203 b i Select a format <~ Export

Import Employee Data

Export Employee Data
Employee Status|  Position Direktorat Group Divisi Deputy Departement Org;r'.'i‘l';ﬁo" Sub Unit office Location Group | Position Group Fur
Address Active Office Services | Business Business Corporate & Business Banking Business Madiun-Caruban
Unit Head Directorate Directorate Business Banking | Deputy Division Banking RM 1
Division
Dummy Appraisal Team Head Office-kPO
Communication Data Leader 1
. Active Internal Control Head Office-KPO
Curriculum Vitae
Date Spesification Resign/Withdrawn |Card Sales Branch Head Office-KPO
- Unit Head
Education
Resign/Withdrawn [Card Sales Branch Head Office-KPO
Personal Data Unit Head
. Resign/Withdrawn Jakarta 4-Bekasi
Employee Assignment Juanda
Resign/Withdrawn |Budgeting & Head Office-KPO
Financial Control
Officer -

1:42 PM
12/11/2024 !

Dy @

Sudah di deploy ya mas bin,
Package
Service = SP: GetOmLoopingIinduk
SP = GetOmLooping, GetOmLoopingInduk

Update Struktur DB =
PCMEPOMRECAP

SP Report = PRPTPAALLEMPLOYEE

#8 - 01/20/2025 04:37 PM - Muhammad Bintar
- Status changed from QA Test to Assigned

- Assignee changed from Muhammad Bintar to shofwan shiddiq

ada tambahan lagi, kalau ds1 nya belum ketemu dalam 1 om , lanjut cari lagi ke atas om nya.

#9 - 01/22/2025 04:47 PM - shofwan shiddiq
- File clipboard-202501221647-tz2oc.png added
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Muhammad Bintar

Dear tasya & mas bintar, Report All Employee sudah di update yah.

Untuk mengisi data org level dan direct supervisor menggunakan service yang kemudian disimpan di tabel PCMEPOMRECAP. Perlu di jalankan
service untuk mengexecute SP = GetOmLoopingInduk supaya mengisi / mengupdate data di table OM RECAP

PADA SP Get Om Looping dilakukan pencarian data org level dan ds per employee

Untuk direct supervisor, engine melakukan looping keatas sebanyak 5 kali sampai mencari 2 Position Head terdekat dalam suatu organisasi, dan
menjadikan nya DS 1 dan DS 2 secara berurutan

Untuk Org Level, engine menjadi organisasi diatas organisasi employee terkait sebanyak 6 kali relasi keatas, dan mencari organisasi yang memiliki
kode org level yang cocok

PADA SP Get Om Looping Induk, melakukan looping sp GetOmLooping sebanyak jumlah employee aktif

Emp id 00000003 = p=00017182, o= 00003720
org level:

00 Direktorat LO = 00004209

01 Group L0O.1 = 00003625

02 Division L1 = 00003680

03 Deputy Division OL2.1 = 00003720

Package

SP = [PRPTPAALLEMPLOYEE], [GetOmLooping], [GetOmLoopingInduk]
RDL = PRPTPAALLEMPLOYEE

Service = Execute SP GetOmLoopingInduk

Business Human system searcn 4 Help (o bDintar v

’ Employee Area: . Period: 22/01/2025 .

Employee Status: Active

Employee Type:

@@ Business Intelligence

@ vew

Report Result

M Organization Management

4 4 ofzs [ Select a format v | Export

Employee Movement

Employee Master Data Last Movement Movement . L . L unit .
Type R — Effective Date | Employee Status Position Direktorat Group Divisi Deputy Departement | 0 tion Sub Unit
Import Employee Data = e —
Promotion Budgeted 20/12/2024  |Active Office Servig BANK MEGA BANK MEGA Mac
Export Employee Data Unit Head SYARIAH SYARTAH
Promotion Remunerasi 01/06/2018  |Active Internal Coltrol | President Director |President Director |Internal Contrel  |Head Office IC & Hea
Department User Admin Unit
Address Reassignment/Mutasi | Keperluan 01/01/2022  |Active Posisi Dummy Hea
Organisasi
Reassignment/Mutasi | Keperluan 01/01/2022  |Active Posisi Dummy Hea
Surat Keterangan Organisasi
Communication Data
Reassignment/Mutasi | Keperluan 01/09/2022  |Active Operation & Liabilities Hea
Curriculum Vitae Organisasi General Service Processing Unit
Division
Date Spesification Reassignment/Mutasi | Keperluan 03/02/2020  |Active Finance & President Director | President Director Hea
Organisasi Strategic Planning
Education Division Head
Promotion Naik Grade 08/06/2018  |Active Dealer Hea
Personal Data
Reassignment/Mutasi | Re - Join 19/02/2020  |Active Hea
